import request from '@/utils/request'

/**
 * 查询开炉记录单列表
 * @param {any} query 
 * @return 
 */ 
export function listMesFurnaceOperationRecord(query) {
  return request({
    url: '/mes/mesFurnaceOperationRecord/list',
    method: 'get',
    params: query
  })
}
/**
 * 新增开炉记录单
 * @param {Object} data
 */
export function addMesFurnaceOperationRecord(data) {
  return request({
    url: '/mes/mesFurnaceOperationRecord',
    method: 'post',
    data: data
  })
}
/**
 * 关炉
 * @param {Object} data
 */
export function closeFurnace(ids) {
  return request({
    url: '/mes/mesFurnaceOperationRecord/closeFurnace/' + ids,
    method: 'put'
  })
}
/**
 * 开炉记录添加
 * @param {Object} data
 */
export function addMesFurnaceOperationRecordDetail(data) {
  return request({
    url: '/mes/mesFurnaceOperationRecordDetail',
    method: 'post',
    data: data
  })
}
/**
 * 查询开炉记录明细单列表
 * @param {Object} query
 */
export function listMesFurnaceOperationRecordDetail(query) {
  return request({
    url: '/mes/mesFurnaceOperationRecordDetail/list',
    method: 'get',
    params: query
  })
}
/**
 * 修改开炉记录明细单
 * @param {Object} data
 */
export function updateMesFurnaceOperationRecordDetail(data) {
  return request({
    url: '/mes/mesFurnaceOperationRecordDetail',
    method: 'put',
    data: data
  })
}
